### Property

# Gtk TextView:top-margin

since: 4.0

#### Declaration

    property top-margin: int [ read, write ]

#### Description [src]

The top margin for text in the text view.

Note that this property is confusingly named. In CSS terms, the value set here is padding, and it is applied in addition to the padding from the theme.

Don’t confuse this property with `GtkWidget:margin-top`.

Type: | `gint`
Available since: | 4.0

Default value | 0
Getter method | `gtk_text_view_get_top_margin()`
Setter method | `gtk_text_view_set_top_margin()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | no